---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "litellm_organization Data Source - terraform-provider-litellm"
subcategory: ""
description: |-
  Retrieves information about an existing LiteLLM organization.
---

# litellm_organization (Data Source)

Retrieves information about an existing LiteLLM organization via `/organization/info`, including its attached budget settings.

## Example Usage

```terraform
data "litellm_organization" "main" {
  organization_id = "org-1234"
}

resource "litellm_team" "ml" {
  team_alias      = "ml-team"
  organization_id = data.litellm_organization.main.organization_id
}
```

## Argument Reference

The following arguments are supported:

* `organization_id` - (Required) Unique identifier of the organization to retrieve.

## Attributes Reference

In addition to all arguments above, the following attributes are exported:

* `organization_alias` - User-friendly name of the organization.
* `budget_id` - ID of the attached budget.
* `models` - Models the organization can access.
* `spend` - Amount spent by the organization.
* `metadata` - Map of string metadata values for the organization.
* `max_budget` - Maximum budget from the attached budget.
* `soft_budget` - Soft budget alert threshold from the attached budget.
* `tpm_limit` - Tokens per minute limit from the attached budget.
* `rpm_limit` - Requests per minute limit from the attached budget.
* `max_parallel_requests` - Maximum parallel requests from the attached budget.
* `budget_duration` - Budget reset duration from the attached budget.
* `created_at` - Timestamp when the organization was created.
* `updated_at` - Timestamp when the organization was last updated.
